Printer

Print PDF

POST
/orgs/{organizationId}/printer/print-pdf

Prints a PDF from a URL to the organization's printer.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
pdfUrl*string
Formaturi
copies?integer
Range-9007199254740991 <= value <= 9007199254740991
Default1
paperRotation?string
Default"portrait"
Value in"landscape""portrait"
paperSize?string
Default"a4"
Value in"a4""a3""sra3"
doubleSided?boolean
Defaulttrue
printQuality?string
Default"fastest"
Value in"fastest""fast""draft""normal""high"
colorMode?string
Default"color"
Value in"color""grayscale""monochrome"
borderless?boolean
Defaulttrue

Response Body

OK

application/json
  1. response
curl -X POST 'https://api.tillor.eu/orgs/string/printer/print-pdf' \  -H 'Content-Type: application/json' \  -d '{  "pdfUrl": "http://example.com"}'
null